Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename StringScanner
%global enable_tests 1

Name:		nodejs-stringscanner
Version:	0.0.3
Release:	alt1_6
Summary:	StringScanner performs lexical scanning operations on a string

License:	MIT
URL:		https://github.com/michaelficarra/cjs-string-scanner.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

# Remove ansi codes from the test file, as coffeescript no longer supports them
Patch0:		nodejs-stringscanner_remove-ansi-from-tests.patch


BuildArch:	noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	rpm-build-nodejs node-devel
BuildRequires:	coffee-script

%if 0%{?enable_tests}
#
%endif
Source44: import.info

%description
StringScanner performs lexical scanning operations on a string.


%prep
%setup -q -n package
%patch0 -p1


%build
rm lib/*
%{_bindir}/coffee -bc -o lib/ src/*.coffee

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/coffee -bc -o test test/test.coffee
%{__nodejs} test/test.js
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 0.0.3-alt1_6
- new version

